<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$pedidos=arreglaArrayPXMobileProxiumResult($_SESSION['proveedor']['PedidosPendientes']);
$detalle=array();

foreach($pedidos as $pedido) {

	if($_POST['busqueda']) {
		$pos1 = strpos(mb_strtoupper($pedido['Descripcion'],'UTF-8'),mb_strtoupper($_POST['busqueda'],'UTF-8'));
		$pos2 = strpos(mb_strtoupper($pedido['Producto'],'UTF-8'),mb_strtoupper($_POST['busqueda'],'UTF-8'));
		if ($pos1 !== false || $pos2 !== false) $coincidencia=true; else $coincidencia=false;
	}
	else $coincidencia=true;
	
	if($coincidencia) $detalle[]=$pedido;
}

?>
<p><strong>Pedidos pendientes:</strong></p>
<?php if( count($detalle)>0 ) { ?>
<table class="tablaFormateada" style="width:1000px">
	<tr>
		<th>Pedido Nº</th>
        <th>Código</th>
        <th>Producto</th><th>Cantidad</th>
	    <th>Albarán actual</th>
	</tr>
	<?php
    foreach($detalle as $pedido) {
		
		$cantidad=0;
        foreach($_SESSION['entrada'] as $entrada) {
			if( $entrada['pedido']==$pedido['Pedido'] && $entrada['lineaPedido']==$pedido['LineaPedido'] ) {
				if($entrada['embalajePrimarioCaja']) $cantidad=$cantidad+($entrada['embalajePrimarioCaja']*$entrada['cantidad']);
				else $cantidad=$cantidad+$entrada['cantidad'];
			}
		}
			
		?>
		<tr class="lineaPedido clicable" style="height:80px;" pedido="<?php echo $pedido['Pedido']; ?>" lineaPedido="<?php echo $pedido['LineaPedido']; ?>" detalle="<?php echo $pedido['Detalle']; ?>" producto="<?php echo $pedido['Producto']; ?>" descripcion="<?php echo trim($pedido['Descripcion']); ?>" cantidad="<?php echo $pedido['Pendiente']; ?>">
            <td <?php if($cantidad>0) { ?>style="font-weight:bold"<?php } ?>><?php echo $pedido['Pedido']; ?></td>
			<td <?php if($cantidad>0) { ?>style="font-weight:bold"<?php } ?>><?php echo $pedido['Producto']; ?></td>
			<td align="left" <?php if($cantidad>0) { ?>style="font-weight:bold"<?php } ?>><?php echo $pedido['Descripcion']; ?></td>
			<td align="right" <?php if($cantidad>0) { ?>style="font-weight:bold"<?php } ?>><?php echo number_format($pedido['Pendiente'],0,',','.'); ?></td>
			<td align="right" <?php if($cantidad>0) { ?>style="font-weight:bold"<?php } ?>><?php if($cantidad>0) echo number_format($cantidad,0,',','.');  ?></td>
		</tr>
		<?php

    }
	?>
</table>
<?php } else { ?>
<p>No hay coincidencias.</p>
<?php } ?>
<p>
  <input type="submit" name="botonCerrar" id="botonCerrar" value="Cerrar" class="boton"/>
</p>
<script>

	$(document).ready(function() {
	
		$('.lineaPedido').on("click",function(e) {
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-gestionar-detalle.php" )
			.done(function(data) {
				$('#lote').val('');
				$('#cantidadDetalle').val('');
			});
			
			$('#formularioRecepcion').children('h2').html( $(this).attr('producto')+' - '+$(this).attr('descripcion') );
			$('#producto').val( $(this).attr('producto') );
			$('#descripcion').val( $(this).attr('descripcion') );
			$('#lineaPedido').val( $(this).attr('lineaPedido') );
			$('#pedido').val( $(this).attr('pedido') );
			$('#cantidad').focus();
			
			$('#formularioRecepcion').show();
			
			$('#detalle').val( $(this).attr('detalle') );
			
			if( $(this).attr('detalle') =='S' ) {
				$('#verDetalle').show();
				<?php if($_POST['embalajePrimario']>0) { ?>
				$('.etiquetaCantidad').html('Cajas:');
				$('#embalajePrimarioCaja').val( '<?php echo $_POST['embalajePrimario']; ?>' );
				<?php } ?>
			}
			else {
				$('#lote').val('');
				$('#verDetalle').hide();
			}
			
			var posicion = $("#formularioRecepcion").offset().top;
			$("html, body").animate({
				scrollTop: posicion
			}, 500); 
			
			$('#popupListado').hide();
			
			$('#formularioCodigo').hide();
			$('#formularioBusqueda').hide();
		
		});
		
		$('#botonCerrar').on("click",function(e) {
			e.preventDefault();
			$('#popupListado').hide();
		});
		
	});

</script>